<?php
/**
 * @ H2N Link Directory Show Latest Link 1.0.0 mod_ld_hitlists.php
 * @ Copyright (C) 2008 Harry Klein - www.joomla-hklein.de
 * @
 * @ All rights reserved
 * @ Link Directory Component is Free Software
 * @ Released under GNU/GPL License : http://www.gnu.org/copyleft/gpl.html
 * @
 * @ $Id: mod_ld_hitlists.php,v 1.3 2008/10/12 17:34:40 harry Exp $
 * @
 **/
defined( '_VALID_MOS' ) or die( 'Direct Access to this location is not allowed.' );

$path = preg_replace("!(\\\)!i","/",dirname(__FILE__));
if ( defined( '_JEXEC')) {
	defined('_LD_ABSOLUTE_PATH') or define('_LD_ABSOLUTE_PATH', str_replace('/modules/mod_ld_hitlists','',$path));
} else {
	defined('_LD_ABSOLUTE_PATH') or define('_LD_ABSOLUTE_PATH', str_replace('/modules','',$path));
}
defined('_LD_FRONTEND_PATH') or define('_LD_FRONTEND_PATH', _LD_ABSOLUTE_PATH . '/components/com_linkdirectory');
defined('_LD_BACKEND_PATH') or define('_LD_BACKEND_PATH',_LD_ABSOLUTE_PATH . '/administrator/components/com_linkdirectory');

// is link directory installed?
if ( (!file_exists(_LD_FRONTEND_PATH."/linkdirectory.php")) ||
(!file_exists(_LD_BACKEND_PATH.'/linkdirectory.class.php')) ||
(!file_exists(_LD_BACKEND_PATH.'/config.php')) ) {
	return;
}

// load language file
if (file_exists(_LD_FRONTEND_PATH."/linkdirectory.php")) {
	if (file_exists(_LD_BACKEND_PATH."/language/".$mosConfig_lang.".php")){
		require_once(_LD_BACKEND_PATH."/language/".$mosConfig_lang.".php");
	}else{
		require_once(_LD_BACKEND_PATH."/language/english.php");
	}
}

// get configuration
$numberOfLinks	= intval( $params->get('numberOfLinks',5));
$viewCategory = intval( $params->get('viewCategory',1));
$viewLinkNumber = (bool) $params->get('viewLinkNumber',1);
$viewHitCounter = (bool) $params->get('viewHitCounter',1);
$target = intval($params->get('target',1));
$type = intval($params->get('type',0));
$linkmode = intval($params->get('linkmode',1));
$moduleclass_sfx = $params->get('moduleclass_sfx','');
$categoryLabel=trim($params->get('categoryLabel'));
if ($categoryLabel==''){
	if (defined('_LD_MOD_LATEST_CAT')){
		$categoryLabel=_LD_MOD_LATEST_CAT;
	}
	else {
		$categoryLabel='Category';
	}
} else {
	$categoryLabel=htmlspecialchars($categoryLabel);
}

switch ($type){
	case 0:
		$order="#__ldlinks.created DESC";
		break;
	case 1:
		$order="#__ldlinks.hits DESC";
		break;
	case 2:
		$order="#__ldlinks.votes DESC";
		break;
	default:
		$order="#__ldlinks.created DESC";
}

global $database;

// jeweilige Daten beschaffen
$query = 'SELECT #__ldlinks.*, #__ldcats.name as catname '.
	 'FROM #__ldlinks LEFT JOIN #__ldcats ON #__ldlinks.catid = #__ldcats.id '.
         'WHERE #__ldlinks.published = 1 '.
         'AND #__ldcats.published ORDER BY '.$order . ' '.
         'LIMIT 0,'. $numberOfLinks;
$database->setQuery($query);
$rows = $database->loadObjectList();

// Itemid ermitteln 
$database->setQuery("SELECT id FROM #__menu"
.	"\nWHERE link='index.php?option=com_linkdirectory'"
.	"\nLIMIT 1");
$Itemid = $database->loadResult();

// Ausgabe über alle Links
$counter = 1;
foreach ($rows as $row) {
	$directUrl = ampReplace(sefRelToAbs( 'index.php?option=com_linkdirectory&task=view&id='. $row->id.'&Itemid='.$Itemid ));
	$detailUrl = ampReplace(sefRelToAbs( 'index.php?option=com_linkdirectory&task=detail&id='. $row->id.'&Itemid='.$Itemid ));
	$catUrl = ampReplace(sefRelToAbs( 'index.php?option=com_linkdirectory&task=viewcat&catid='. $row->catid.'&Itemid='.$Itemid ));

	$menuclass = '';
	switch ($target) {
		case 1:
			// open in a new window
			$directLinkAsHtml = '<a href="'. $directUrl .'" target="_blank" class="'. $menuclass .'">'. $row->title .'</a>';
			break;

		case 2:
			// open in a popup window
			$directLinkAsHtml = "<a href=\"#\" onclick=\"javascript: window.open('". $directUrl ."', '', 'toolbar=no,location=no,status=no,menubar=no,scrollbars=yes,resizable=yes,width=780,height=550'); return false\" class=\"$menuclass\">". $row->title ."</a>\n";
			break;

		default:
			// open in parent window
			$directLinkAsHtml = '<a href="'. $directUrl .'" class="'. $menuclass .'">'. $row->title .'</a>';
			break;
	}
	
	if ($viewLinkNumber){
		echo '<b>'.$counter.'.&nbsp;</b>';
	}

	switch ($linkmode){
		case 0:
			echo $directLinkAsHtml;
			break;
		case 1:
			echo '<a href="'.$detailUrl.'" class="'. $moduleclass_sfx .'">'.$row->title.'</a>';
			break;
		case 2:
		default:
			echo $directLinkAsHtml . ' <a href="'.$detailUrl.'" class="'. $moduleclass_sfx .'">['._LD_DETAILS.']</a>';
	}
	
	if ($viewHitCounter){
		echo " ($row->hits)";
	}
	
	echo '<br />';
	
	switch ($viewCategory){
		case 1:
			$catAsHtml=htmlspecialchars($categoryLabel).':'.$row->catname;
			break;
		case 2:
			$catAsHtml=htmlspecialchars($categoryLabel).': <a href="'.$catUrl.'">'.$row->catname.'</a>';
			break;
		case 0:
		default:
			$catAsHtml='';
	}
	if ($catAsHtml){
		echo '&nbsp;&nbsp;&nbsp;&nbsp;<small>'.$catAsHtml.'</small>';
		echo "<br />";
	}
	$counter++;
}

?>